import './index.less';
import InputMixin from '../mixins/input';
var Input = {
    mixins: [InputMixin],
    methods: {
        setValue: function setValue(value) {
            this.$refs.input.value = value;
        },
        onInput: function onInput(event) {
            this.$emit("input", event.target.value);
        }
    },
    render: function render() {
        var h = arguments[0];

        return h('input', { 'class': 'sn-input',
            ref: 'input',
            attrs: { type: this.inputType,

                maxlength: this.maxLenght,
                placeHolder: this.placeHolder,
                readonly: this.readonly
            },
            domProps: {
                'value': this.value
            },
            on: {
                'focus': this.onFocus,
                'blur': this.onBlur,
                'change': this.onChange,
                'input': this.onInput
            }
        });
    }
};

export default Input;