import _mergeJSXProps from 'babel-helper-vue-jsx-merge-props';
import _extends from 'babel-runtime/helpers/extends';
import './index.less';
import InputItem from '../input-item';
import InputMixin from '../mixins/input';

var number = {
    mixins: [InputMixin],
    props: {
        title: [Number, String],
        required: Boolean,
        rightIcon: String,
        labelNumber: Number,
        valuePosition: {
            type: String,
            'default': 'left'
        },
        borderIndent: {
            type: Boolean,
            'default': false
        }
    },
    methods: {
        setValue: function setValue(value) {
            this.$refs.inputItem.setValue(value);
        },
        onInput: function onInput(data) {
            this.$emit("input", data);
        }
    },
    render: function render() {
        var _this = this;

        var h = arguments[0];

        var InputItemProps = {
            'props': _extends({}, this.$props),
            on: {
                'right-icon-click': function rightIconClick() {
                    _this.$emit("right-icon-click");
                }
            }
        };
        InputItemProps.props.inputType = 'tel';
        var rightIcon = this.$slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [this.$slots['right-icon']]
        ) : null;
        return h(
            InputItem,
            _mergeJSXProps([{
                ref: 'inputItem'
            }, InputItemProps, {
                attrs: {
                    value: this.value
                },
                on: {
                    'focus': this.onFocus,
                    'blur': this.onBlur,
                    'change': this.onChange,
                    'input': this.onInput
                }
            }]),
            [rightIcon]
        );
    }
};
export default number;