import ListItem from '../list-item';
import Textarea from '../textarea';
import TextareaMixin from '../mixins/textarea';

var TextareaItem = {
    mixins: [TextareaMixin],
    props: {
        title: [Number, String],
        required: Boolean,
        rightIcon: String,
        labelNumber: Number,
        valuePosition: {
            type: String,
            'default': 'left'
        },
        borderIndent: {
            type: Boolean,
            'default': false
        }
    },
    methods: {
        setValue: function setValue(value) {
            this.$refs.textarea.setValue(value);
        },
        inputHandler: function inputHandler(data) {
            this.$emit("input", data);
        }
    },
    render: function render() {
        var _this = this;

        var h = arguments[0];

        var listItemProps = {
            props: {
                title: this.title,
                required: this.required,
                rightIcon: this.$props.rightIcon,
                valuePosition: 'left',
                labelNumber: 5,
                borderIndent: this.borderIndent
            },
            on: {
                'right-icon-click': function rightIconClick() {
                    _this.$emit("right-icon-click");
                }
            }
        };
        var rightIcon = this.$slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [this.$slots['right-icon']]
        ) : null;
        return h(
            ListItem,
            listItemProps,
            [h(Textarea, {
                ref: 'textarea',
                slot: 'default',
                attrs: { rows: this.rows,
                    readonly: this.readonly,
                    'max-lenght': this.maxLenght,
                    'place-holder': this.placeHolder,
                    value: this.value
                },
                on: {
                    'input': this.inputHandler
                }
            }), rightIcon]
        );
    }
};
export default TextareaItem;