import './index.less';
import TextareaMixin from '../mixins/textarea';
var Textarea = {
    mixins: [TextareaMixin],
    computed: {
        style: function style() {
            var style = {
                height: this.height || 'auto',
                minHeight: this.height || 'auto'
            };
            if (this.maxHeight) {
                style.maxHeight = this.maxHeight;
            }
            return style;
        }
    },
    methods: {
        setValue: function setValue(value) {
            this.$refs.textarea.value = value;
        },
        onInput: function onInput(event) {
            this.$refs.textarea.style.height = "auto";
            if (this.resize) {
                this.$refs.textarea.style.height = this.$refs.textarea.scrollHeight + "px";
            }
            this.$emit("input", event.target.value);
        }
    },
    render: function render() {
        var h = arguments[0];

        return h('textarea', {
            ref: 'textarea',
            'class': 'sn-textarea',
            attrs: { rows: this.rows,

                placeHolder: this.placeHolder,
                maxLenght: this.maxLenght,
                readonly: this.readonly
            },
            style: this.style, domProps: {
                'value': this.value
            },
            on: {
                'focus': this.onFocus,
                'blur': this.onBlur,
                'change': this.onChange,
                'input': this.onInput
            }
        });
    }
};

export default Textarea;