'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _listItem = require('../list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _input = require('../mixins/input');

var _input2 = _interopRequireDefault(_input);

var _input3 = require('../input');

var _input4 = _interopRequireDefault(_input3);

require('./index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var InputItem = {
    mixins: [_input2['default']],
    props: {
        title: [Number, String],
        required: Boolean,
        rightIcon: String,
        labelNumber: Number,
        valuePosition: {
            type: String,
            'default': 'left'
        },
        borderIndent: {
            type: Boolean,
            'default': false
        }
    },
    methods: {
        setValue: function setValue(value) {
            this.$refs.input.setValue(value);
        },
        onInput: function onInput(data) {
            this.$emit("input", data);
        }
    },
    render: function render() {
        var _this = this;

        var h = arguments[0];

        var listItemProps = {
            props: {
                title: this.title,
                required: this.required,
                rightIcon: this.rightIcon,
                valuePosition: this.valuePosition,
                labelNumber: 5,
                borderIndent: this.borderIndent
            },
            on: {
                'right-icon-click': function rightIconClick() {
                    _this.$emit("right-icon-click");
                }
            }
        };
        console.log('input item ----', this.value);
        var rightIcon = this.$slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [this.$slots['right-icon']]
        ) : null;
        return h(
            _listItem2['default'],
            listItemProps,
            [h(_input4['default'], {
                ref: 'input',
                slot: 'default',
                attrs: { inputType: this.inputType,
                    'max-lenght': this.maxLenght,
                    readonly: this.readonly,
                    'place-holder': this.placeHolder,
                    value: this.value
                },
                on: {
                    'focus': this.onFocus,
                    'blur': this.onBlur,
                    'change': this.onChange,
                    'input': this.onInput
                }
            }), rightIcon]
        );
    }
};
exports['default'] = InputItem;
module.exports = exports.default;