'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _babelHelperVueJsxMergeProps = require('babel-helper-vue-jsx-merge-props');

var _babelHelperVueJsxMergeProps2 = _interopRequireDefault(_babelHelperVueJsxMergeProps);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

require('./index.less');

var _inputItem = require('../input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

var _input = require('../mixins/input');

var _input2 = _interopRequireDefault(_input);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var number = {
    mixins: [_input2['default']],
    props: {
        title: [Number, String],
        required: Boolean,
        rightIcon: String,
        labelNumber: Number,
        valuePosition: {
            type: String,
            'default': 'left'
        },
        borderIndent: {
            type: Boolean,
            'default': false
        }
    },
    methods: {
        setValue: function setValue(value) {
            this.$refs.inputItem.setValue(value);
        },
        onInput: function onInput(data) {
            this.$emit("input", data);
        }
    },
    render: function render() {
        var _this = this;

        var h = arguments[0];

        var InputItemProps = {
            'props': (0, _extends3['default'])({}, this.$props),
            on: {
                'right-icon-click': function rightIconClick() {
                    _this.$emit("right-icon-click");
                }
            }
        };
        InputItemProps.props.inputType = 'tel';
        var rightIcon = this.$slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [this.$slots['right-icon']]
        ) : null;
        return h(
            _inputItem2['default'],
            (0, _babelHelperVueJsxMergeProps2['default'])([{
                ref: 'inputItem'
            }, InputItemProps, {
                attrs: {
                    value: this.value
                },
                on: {
                    'focus': this.onFocus,
                    'blur': this.onBlur,
                    'change': this.onChange,
                    'input': this.onInput
                }
            }]),
            [rightIcon]
        );
    }
};
exports['default'] = number;
module.exports = exports.default;