'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _listItem = require('../list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _textarea = require('../textarea');

var _textarea2 = _interopRequireDefault(_textarea);

var _textarea3 = require('../mixins/textarea');

var _textarea4 = _interopRequireDefault(_textarea3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TextareaItem = {
    mixins: [_textarea4['default']],
    props: {
        title: [Number, String],
        required: Boolean,
        rightIcon: String,
        labelNumber: Number,
        valuePosition: {
            type: String,
            'default': 'left'
        },
        borderIndent: {
            type: Boolean,
            'default': false
        }
    },
    methods: {
        setValue: function setValue(value) {
            this.$refs.textarea.setValue(value);
        },
        inputHandler: function inputHandler(data) {
            this.$emit("input", data);
        }
    },
    render: function render() {
        var _this = this;

        var h = arguments[0];

        var listItemProps = {
            props: {
                title: this.title,
                required: this.required,
                rightIcon: this.$props.rightIcon,
                valuePosition: 'left',
                labelNumber: 5,
                borderIndent: this.borderIndent
            },
            on: {
                'right-icon-click': function rightIconClick() {
                    _this.$emit("right-icon-click");
                }
            }
        };
        var rightIcon = this.$slots['right-icon'] ? h(
            'div',
            { slot: 'right-icon' },
            [this.$slots['right-icon']]
        ) : null;
        return h(
            _listItem2['default'],
            listItemProps,
            [h(_textarea2['default'], {
                ref: 'textarea',
                slot: 'default',
                attrs: { rows: this.rows,
                    readonly: this.readonly,
                    'max-lenght': this.maxLenght,
                    'place-holder': this.placeHolder,
                    value: this.value
                },
                on: {
                    'input': this.inputHandler
                }
            }), rightIcon]
        );
    }
};
exports['default'] = TextareaItem;
module.exports = exports.default;